Get Announcements delivered to your Inbox! Subscribe to the Announcements list

Security Update: Smush Image Compression and Optimization

A security update is available for the Smush Image Compression and Optimization plugin. Versions <= 2.9.1 include an authenticated phar deserialization vulnerability.

The issue is fixed in version 3.0.0 and above.

All WP NET Managed WordPress sites will be updated automatically.

Security Update: WPForms Lite

A security update for WPForms Lite has been released. This addresses a Unauthenticated Cross-Site Scripting (XSS) vulnerability in version 1.4.8 and below.

All Managed WordPress sites will be updated automatically.

Security Update: Jetpack <= 6.4.2

A security update for JetPack has been released which fixes a stored XSS vulnerability.

Affected versions are v6.4.2 and  below. The fix was included in v6.5.

All Managed WordPress sites will be updated automatically.

PHP 7.3 Now Available on All Servers

The official release version of PHP 7.3 is now available for customers on both Managed WordPress shared-hosting and Managed Servers.

You can now select "PHP 7.3" as the PHP runtime in Plesk Panel and the Manged Server Control Panel.

New My WP NET Design

Just in time for Christmas, we've unveiled an all-new design for our customer portal website, My WP NET. The new design more closely fits with our public website, wpnet.nz and has been simplified to make service management and checkout easier. We will be making more changes in the near future to simplify our product range and our online ...

Security Update: WordPress 5.0.1 (and 4.9.9)

A number of security issues have been patched in WordPress core. The fixes have been back-ported, so depending on your current version, you will be automatically updated to either 5.0.1 or 4.9.9.

All Managed WordPress customer sites will be updated automatically

Security Update: Advanced Custom Fields 5.7.8

An update for Advanced Custom Fields (both free and premium versions) has been released. This update addresses an XSS vulnerability. All WP NET customers with valid licenses will be updated automatically. We recommend that all ACF users ensure they're up to date. Details on the ACF website. IMPORTANT NOTE: Due to possible incompatibility ...

Security Update: Various plugins with vulnerability patches

There has been a flurry of WordPress plugins with security patches released, mostly addressing cross-site scripting vulnerabilities. Redirection <= 3.6.2 - Cross-Site Request Forgery (CSRF) WPForms <= 1.4.7 - Authenticated Stored Cross-Site Scripting (XSS) Google Analytics by Monster Insights <= 7.1.0 - Authenticated Stored ...

WordPress 5.0 Now Scheduled for Release on Dec 6 2018!

WordPress 5.0 RC3 has been released and a new target date for WordPress 5.0 has been announced -- Dec 6 2018! That's today (US time)!

Please refer to our blog post, New Editor Coming in WordPress 5.0 for important details about this new WordPress version and how WP NET will be handling the update process.

PHP 5 and 7.0 Reach End-of-Life

We have recently published a blog post regarding the end-of-life for PHP 5.6 and 7.0. Please take a moment to read it. It includes important information about to help you with testing and preparing your site for upgrading to PHP 7.2. We are planning to remove support for PHP 5.6 and 7.0 on April 1 2019, but this date may change. If you have ...